Loading...
Searching...
No Matches
pcl::PointSurfel Struct Reference
Module common

A surfel, that is, a point structure representing Euclidean xyz coordinates, together with normal coordinates, a RGBA color, a radius, a confidence value and the surface curvature estimate. More...

`#include <pcl/impl/point_types.hpp>`

Inheritance diagram for pcl::PointSurfel:

## Public Member Functions

constexpr | PointSurfel (const _PointSurfel &p)
constexpr | PointSurfel ()
constexpr | PointSurfel (float _x, float _y, float _z, float _nx, float _ny, float _nz, std::uint8_t _r, std::uint8_t _g, std::uint8_t _b, std::uint8_t _a, float _radius, float _confidence, float _curvature)

## Friends

std::ostream & | operator<< (std::ostream &os, const PointSurfel &p)

## Additional Inherited Members

Public Attributes inherited from pcl::_PointSurfel
union { |
struct { |
PCL_ADD_UNION_RGB float radius |
float confidence |
float curvature |
} |
float data_c [4] |
}; |

## Detailed Description

A surfel, that is, a point structure representing Euclidean xyz coordinates, together with normal coordinates, a RGBA color, a radius, a confidence value and the surface curvature estimate.

Definition at line 1667 of file point_types.hpp.

## Constructor & Destructor Documentation

## PointSurfel() [1/3]

pcl::PointSurfel::PointSurfel | ( | const _PointSurfel & | p | ) |

inline constexpr

Definition at line 1669 of file point_types.hpp.

References pcl::_PointSurfel::confidence, pcl::_PointSurfel::curvature, PointSurfel(), and pcl::_PointSurfel::radius.

Referenced by operator<<, PointSurfel(), and PointSurfel().

## PointSurfel() [2/3]

pcl::PointSurfel::PointSurfel | ( |  | ) |

inline constexpr

Definition at line 1672 of file point_types.hpp.

References PointSurfel().

## PointSurfel() [3/3]

pcl::PointSurfel::PointSurfel | ( | float | _x,
|  | float | _y,
|  | float | _z,
|  | float | _nx,
|  | float | _ny,
|  | float | _nz,
|  | std::uint8_t | _r,
|  | std::uint8_t | _g,
|  | std::uint8_t | _b,
|  | std::uint8_t | _a,
|  | float | _radius,
|  | float | _confidence,
|  | float | _curvature )

inline constexpr

Definition at line 1675 of file point_types.hpp.

## Friends And Related Symbol Documentation

## operator<<

std::ostream & operator<< | ( | std::ostream & | os,
|  | const PointSurfel & | p )

friend

References PointSurfel().

The documentation for this struct was generated from the following file:

- pcl/impl/point_types.hpp